<?php

use App\Http\Controllers\ClientFavoriteProviderController;
use Illuminate\Support\Facades\Route;

Route::get('/client/favorite-providers/{clientId}',  [ClientFavoriteProviderController::class, 'index'])->middleware('permission:config.client_favorite_provider,view');
Route::get('/client/favorited-providers/{clientId}', [ClientFavoriteProviderController::class, 'getFavoritedProviders'])->middleware('permission:config.client_favorite_provider,view');
Route::get('/client/favorite-provider/{id}',         [ClientFavoriteProviderController::class, 'show'])->middleware('permission:config.client_favorite_provider,view');
Route::post('/client/favorite-provider',             [ClientFavoriteProviderController::class, 'store'])->middleware('permission:config.client_favorite_provider,add');
Route::put('/client/favorite-provider/{id}',         [ClientFavoriteProviderController::class, 'update'])->middleware('permission:config.client_favorite_provider,edit');
Route::delete('/client/favorite-provider/{id}',      [ClientFavoriteProviderController::class, 'destroy'])->middleware('permission:config.client_favorite_provider,delete');
